Subject: [bug#61968] [PATCH gnome-team v4 0/8] Update GNOME Builder to 44.2.

From: Jack Hill <[email-masked]>
Date: Thu, 16 Nov 2023 17:35:03 -0500 (EST)

On Thu, 16 Nov 2023, Vivien Kraus via Guix-patches via wrote:

> Le jeudi 16 novembre 2023 à 22:04 +0100, Liliana Marie Prikler a
> écrit :
>>> GNOME Builder starts, but unfortunately flatpak is broken on my
>>> side.
>>> However, it can build out of flatpak.
>> What does "build out of flatpak" mean here?
> Now I realize it may not mean anything, sorry.
>
> I wanted to say, you can switch your compilation target. By default, it
> tries to build with flatpak. For that, it requires a SDK and runtime
> that it tries to install through flatpak.
>
> Unfortunately, flatpak fails to do anything on my computer, throwing:
>
>    error: open(O_TMPFILE): Permission denied
>
> To be fair, I did some experimental activities with my flatpak
> installation, when trying to build guix packages as flatpaks.  It did
> not turn very successful, and things must be deeply broken now on my
> computer.  I should investigate, but let’s say I’m not in the mood
> right now.

It may not work anyway by default for folks who install Builder since I 
assume Builder tries to use SDKs that are only available in a repository 
that doesn't follow the FSDG.

Sorry to hear your experiment didn't work out; that sounds like a really 
neat idea!

> Anyway, regarding gnome-builder, you can switch your compilation target
> to “Default”, and then your project compiles with the dependencies that
> are available on the system.  Thus, “out of flatpak”.

I'd be OK with having a builder without flatpak support. Too bad there 
isn't a "build with Guix" backend. Maybe one day!

Best,
Jack